## org.apache.lucene.util
Class LuceneJUnit3MethodProvider

    java.lang.Object
      org.apache.lucene.util.LuceneJUnit3MethodProvider

All Implemented Interfaces:
  com.carrotsearch.randomizedtesting.TestMethodProvider

    public final class LuceneJUnit3MethodProvider

extends Object
implements com.carrotsearch.randomizedtesting.TestMethodProvider

Backwards compatible test* method provider (public, non-static).

Constructor Summary
`LuceneJUnit3MethodProvider()`

Method Summary
`Collection<Method>` `getTestMethods(Class<?> suiteClass, com.carrotsearch.randomizedtesting.ClassModel classModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneJUnit3MethodProvider

    public LuceneJUnit3MethodProvider()

Method Detail

### getTestMethods

    public Collection<Method> getTestMethods(Class<?> suiteClass,
                                             com.carrotsearch.randomizedtesting.ClassModel classModel)

  Specified by:
    `getTestMethods` in interface `com.carrotsearch.randomizedtesting.TestMethodProvider`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.